{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'Real time monitor' %}{% endblock %}

{% block content %}
<div style="text-align:center;">
	<h1>Realtime Monitor</h1>
</div>
<div id="time1" style="text-indent:70px;"><br /></div>
<div id="real_time_data" style="text-align:center">
	<table border="1" cellpadding="3" cellspacing="0" style="width:90%;margin:auto;">
	<thead>
		<tr>
			<th style="text-align:center">Personnel ID</th>
			<th style="text-align:center">Personnel Name</th>
			<th style="text-align:center">Time</th>
			<th style="text-align:center">Event</th>
			<th style="text-align:center">Event Description</th>
			<th style="text-align:center">Device</th>
			<th style="text-align:center">Area</th>
		</tr>
	</thead>
	<tbody>
	    {% if filter_sn %}
	    {% for each_data in hundred_data %}
	        {% ifequal each_data.sn filter_sn %}
	        <tr>
	            <td height="20px" style="text-align:center">{{ each_data.pin }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.name }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.time }}{{ each_data.op_time }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.op_type }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.op_descraption }}</td>
	            <td height="20x" style="text-align:center">{{ each_data.sn }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.area }}</td>
	        </tr>
	        {% endifequal %}
	        {% endfor %}
	    {% else %}
	        {% for each_data in hundred_data %}
	        <tr>
	            <td height="20px" style="text-align:center">{{ each_data.pin }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.name }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.time }}{{ each_data.op_time }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.op_type }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.op_descraption }}</td>
	            <td height="20x" style="text-align:center">{{ each_data.sn }}</td>
	            <td height="20px" style="text-align:center">{{ each_data.area }}</td>
	        </tr>
	        {% endfor %}
	    {% endif %}
	</tbody>
	</table>
	<br>
</div>

{% endblock content %}


{% block head %}
<script type="text/javascript">
$(function()
{
	setInterval(mytime,5000)
 	setInterval(reload_data,5000)
})

function reload_data() //ajax获取监控数据
{
    // window.location.reload() //直接刷新
    $.get(document.URL, {get_data: 'true'}, function(data,status)
    {
    	// $("#real_time_data").html(data);
    	document.getElementById("real_time_data").innerHTML = data
  	})
	if(document.getElementById("login_submit")) //发现需要重新登陆
    {
      window.location.reload() //直接刷新
    }
}

function mytime() //显示实时时间
{
    var a = new Date();
    var b = a.toLocaleTimeString();
    var c = a.toLocaleDateString();
    document.getElementById("time1").innerHTML = c+"&nbsp"+b;
}
</script>
{% endblock %}
